## flatpak-builder 1.4.6

=== meson_options.txt ===
option(
  'yaml',
  type: 'feature',
  value: 'enabled',
  description: 'Whether to support YAML manifests'
)
option(
  'docs',
  type: 'feature',
  value: 'auto',
  description: 'Whether to build the DocBook documentation and man pages'
)
option(
  'installed_tests',
  type : 'boolean',
  description : 'install automated tests',
  value : false,
)
option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Whether to build and run unit tests'
)
option(
  'fuse',
  type: 'combo',
  choices: ['2', '3', 'compatible'],
  value: 'compatible',
  description: 'Target a specific version of FUSE for best performance or support multiple versions'
)

=== subprojects/libglnx/meson_options.txt ===
# Copyright 2022 Collabora Ltd.
# SPDX-License-Identifier: LGPL-2.0-or-later

option(
  'tests',
  type : 'boolean',
  description : 'build and run unit tests',
  value : 'true',
)

## flatpak-builder 0.10.9

=== debian/changelog ===
flatpak-builder (0.10.9-1) unstable; urgency=medium

  * New upstream release
  - Includes patch from Aurelien Jarno to fix FTBFS with glibc 2.27
    (Closes: #890722)

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Feb 2018 09:56:47 +0000

flatpak-builder (0.10.8-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 16 Feb 2018 12:41:32 +0000

flatpak-builder (0.10.7-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Feb 2018 18:25:05 +0000

flatpak-builder (0.10.6-2) unstable; urgency=medium

  * Set Vcs-* to salsa.debian.org
  * Standards-Version: 4.1.3 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jan 2018 14:27:22 +0000

flatpak-builder (0.10.6-1) unstable; urgency=medium

  * New upstream release
    - (Build-)depend on flatpak 0.10.2 and ostree 2017.14
  * Standards-Version: 4.1.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Dec 2017 15:34:20 +0000

flatpak-builder (0.10.5-1) unstable; urgency=medium

  * New upstream release
    - (Build-)depend on flatpak 0.10.1

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Nov 2017 09:14:05 +0000

flatpak-builder (0.10.4-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Nov 2017 17:14:30 +0000

flatpak-builder (0.10.3-1) unstable; urgency=medium

  * New upstream release
  * Version the dh-exec build-dependency to (>= 0.23~).
    The version in oldstable doesn't support build profiles. Strictly
    speaking 0.15 might be enough, but I'm not going to test with anything
    older than oldstable-backports.
  * debian/control: Set Rules-Requires-Root: no. This package does not
    contain any file not owned by root.

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Oct 2017 14:03:31 +0000

flatpak-builder (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Oct 2017 12:26:03 +0100

flatpak-builder (0.10.0-1) unstable; urgency=medium

  * d/watch: Track stable-branches (x.y.z where y is even), and fix to
    cope with multi-digit minor versions
  * New upstream stable release 0.10.0
    - Increase ostree dependency to 2017.12
    - Increase flatpak dependency to 0.10.0
  * Remove unused override for --with-html-dir
  * Do not force --disable-silent-rules, debhelper does this now
  * Disable documentation generation under nodoc DEB_BUILD_OPTIONS

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Oct 2017 12:41:56 +0100

flatpak-builder (0.9.99-1) unstable; urgency=medium

  * New upstream release
    - Build-depend on libxml 2.4
  * Update test wrapper scripts from flatpak 0.9.99-1
    - Make sure /sbin/ldconfig is in PATH
    - Remove an unused variable
    - Treat debci as a test-specific user
  * Standards-Version: 4.1.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Oct 2017 14:17:02 +0100

flatpak-builder (0.9.98-1) unstable; urgency=medium

  * New upstream release
    - Depend on flatpak 0.9.98
  * Skip tests if bwrap cannot unshare IPC, net and PID namespaces
    (see #876743)

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Sep 2017 09:51:14 +0100

flatpak-builder (0.9.11-2) unstable; urgency=medium

  * Update flatpak-builder-tests' Breaks/Replaces on flatpak-tests to
    account for versions 0.9.11~builder0.9.11 and 0.9.12~builder0.9.11
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Sep 2017 19:05:30 +0100

flatpak-builder (0.9.11-1) experimental; urgency=medium

  * New upstream release
    - Drop all patches

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Sep 2017 20:42:13 +0100

flatpak-builder (0.9.9-2) experimental; urgency=medium

  * Add patch from upstream to fix FTBFS on non-x86 non-ARM architectures
  * Declare compliance with Policy 4.1.0
  * d/copyright: Reinstate GPL-2+ text for one source file, which means
    the binary is effectively GPL-2+.
  * debian/upstream/signing-key.asc: Remove. Upstream no longer routinely
    sign releases.
  * flatpak-builder-tests: Add Breaks/Replaces on versions of
    flatpak-tests that contain flatpak-builder tests

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2017 10:05:21 +0100

flatpak-builder (0.9.9-1) experimental; urgency=medium

  * Fix debian/watch to look at
    https://github.com/flatpak/flatpak-builder
  * New upstream release
    - Bump flatpak dependency to 0.9.9
  * Mark patch as forwarded upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Sep 2017 17:23:07 +0100

flatpak-builder (0.9.8+16+g4ff21f43-1) experimental; urgency=medium

  * New source package, taking over flatpak-builder from src:flatpak
    (Closes: #873594)

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Aug 2017 19:29:25 +0100

=== debian/control ===
Source: flatpak-builder
Section: devel
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 attr <!nocheck>,
 automake (>= 1.14.1),
 ca-certificates <!nocheck>,
 dbus,
 debhelper (>= 10~),
 desktop-file-utils <!nocheck>,
 dh-exec (>= 0.23~),
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 flatpak (>= 0.10.2),
 fuse <!nocheck>,
 git <!nocheck>,
 gtk-update-icon-cache <!nocheck>,
 hicolor-icon-theme <!nocheck>,
 libarchive-dev (>= 2.8.0),
 libattr1-dev,
 libcap-dev,
 libdw-dev,
 libelf-dev,
 libflatpak-dev (>= 0.10.2),
 libglib2.0-dev (>= 2.44),
 libjson-glib-dev,
 libostree-dev (>= 2017.14),
 libsoup2.4-dev,
 libxml2-dev (>= 2.4),
 ostree <!nocheck>,
 procps,
 python3,
 shared-mime-info <!nocheck>,
 xmlto <!nodoc>,
 xsltproc <!nodoc>,
Standards-Version: 4.1.3
Homepage: http://flatpak.org/
Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git
Vcs-Browser: https://salsa.debian.org/debian/flatpak-builder
Rules-Requires-Root: no

Package: flatpak-builder
Architecture: linux-any
Depends:
 gir1.2-flatpak-1.0 (>= 0.10.2),
 flatpak (>= 0.10.2),
 ostree (>= 2017.14),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 binutils,
 bzr,
 elfutils,
 git,
 patch,
 unzip,
Replaces:
 flatpak (<< 0.9.8-1~),
Description: Flatpak application building helper
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 flatpak-builder is a tool that makes it easy to build applications and their
 dependencies by automating the configure && make && make install steps.

Package: flatpak-builder-tests
Architecture: linux-any
Section: misc
Breaks:
 flatpak-tests (<< 0.9.12),
Replaces:
 flatpak-tests (<< 0.9.12),
Depends:
 attr,
 ca-certificates,
 desktop-file-utils,
 flatpak-builder (= ${binary:Version}),
 hicolor-icon-theme,
 git,
 gtk-update-icon-cache,
 make,
 ostree (>= 2017.14),
 python,
 shared-mime-info,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Application deployment framework for desktop apps (tests)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains automated tests.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

configure_options =

ifneq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
configure_options += --disable-docbook-docs
configure_options += --disable-documentation
else
configure_options += --enable-docbook-docs
configure_options += --enable-documentation
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-installed-tests \
		--libexecdir=/usr/lib/flatpak \
		$(configure_options)

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/test.sh
endif

=== debian/watch ===
version=4
https://github.com/flatpak/@PACKAGE@/releases .*/@PACKAGE@-(\d+\.\d*[02468]\.\S*)@ARCHIVE_EXT@

## flatpak-builder 1.0.1

=== debian/changelog ===
flatpak-builder (1.0.1-flatpak1~xenial) xenial; urgency=medium

  * Update to 1.0.1

 -- Alexander Larsson <alexl@redhat.com>  Thu, 04 Oct 2018 17:33:16 +0200

flatpak-builder (1.0.0-flatpak1~xenial) xenial; urgency=medium

  * Update to 1.0.0

 -- Alexander Larsson <alexl@redhat.com>  Mon, 20 Aug 2018 13:53:49 +0200

flatpak-builder (0.99.3-flatpak1~xenial) xenial; urgency=medium

  * Update to 0.99.3

 -- Alexander Larsson <alexl@redhat.com>  Wed, 11 Jul 2018 22:29:50 +0200

flatpak-builder (0.99.2-flatpak1~xenial) xenial; urgency=medium

  * Update to 0.99.2

 -- Alexander Larsson <alexl@redhat.com>  Wed, 27 Jun 2018 16:49:34 +0200

flatpak-builder (0.99.1-flatpak2~xenial) xenial; urgency=medium

  * Add libcurl-dev dependency

 -- Alexander Larsson <alexl@redhat.com>  Thu, 21 Jun 2018 13:18:05 +0200

flatpak-builder (0.99.1-flatpak1~xenial) xenial; urgency=medium

  * Update to 0.99.1

 -- Alexander Larsson <alexl@redhat.com>  Thu, 21 Jun 2018 13:18:05 +0200

flatpak-builder (0.10.10-flatpak1~xenial) xenial; urgency=medium

  * Update to 0.10.10

 -- Alexander Larsson <alexl@redhat.com>  Fri, 27 Apr 2018 14:05:40 +0200

flatpak-builder (0.10.9-0alexlarsson1~artful) artful; urgency=medium

  * Update to 0.10.9

 -- Alexander Larsson <alexl@redhat.com>  Mon, 19 Feb 2018 12:02:30 +0100

flatpak-builder (0.10.9-0alexlarsson1~xenial) xenial; urgency=medium

  * Update to 0.10.9

 -- Alexander Larsson <alexl@redhat.com>  Mon, 19 Feb 2018 12:02:30 +0100

flatpak-builder (0.10.7-0alexlarsson1~artful) artful; urgency=medium

  * Update to 0.10.7

 -- Alexander Larsson <alexl@redhat.com>  Wed, 14 Feb 2018 16:27:56 +0100

flatpak-builder (0.10.7-0alexlarsson1~xenial) xenial; urgency=medium

  * Update to 0.10.7

 -- Alexander Larsson <alexl@redhat.com>  Wed, 14 Feb 2018 16:27:56 +0100

flatpak-builder (0.10.6-0alexlarsson1~artful) artful; urgency=medium

  * Update to 0.10.6

 -- Alexander Larsson <alexl@redhat.com>  Fri, 15 Dec 2017 17:20:28 +0100

flatpak-builder (0.10.5-0alexlarsson1~artful) artful; urgency=medium

  * Update to 0.10.5

 -- Alexander Larsson <alexl@redhat.com>  Fri, 24 Nov 2017 16:53:28 +0100

flatpak-builder (0.10.4-0alexlarsson1~artful) artful; urgency=medium

  * Update to 0.10.4

 -- Alexander Larsson <alexl@redhat.com>  Mon, 06 Nov 2017 15:27:41 +0100

flatpak-builder (0.10.3-0alexlarsson1~artful) artful; urgency=medium

  * Update to 0.10.3

 -- Alexander Larsson <alexl@redhat.com>  Tue, 31 Oct 2017 14:36:15 +0100

flatpak-builder (0.10.2-0alexlarsson1~artful) artful; urgency=medium

  * Update to 0.10.2

 -- Alexander Larsson <alexl@redhat.com>  Mon, 30 Oct 2017 15:30:08 +0100

flatpak-builder (0.10.1-0alexlarsson1~artful) artful; urgency=medium

  * Update to 0.10.1

 -- Alexander Larsson <alexl@redhat.com>  Fri, 27 Oct 2017 14:25:58 +0200

flatpak-builder (0.10.0-0alexlarsson1~artful) artful; urgency=medium

  * Update to 0.10.0

 -- Alexander Larsson <alexl@redhat.com>  Thu, 26 Oct 2017 13:47:50 +0200

flatpak-builder (0.9.99-0alexlarsson1~zesty) zesty; urgency=medium

  * Update to 0.9.99

 -- Alexander Larsson <alexl@redhat.com>  Mon, 09 Oct 2017 16:03:41 +0200

flatpak-builder (0.9.98-0alexlarsson1~zesty) zesty; urgency=medium

  * Update to 0.9.98

 -- Alexander Larsson <alexl@redhat.com>  Mon, 25 Sep 2017 19:28:43 +0200

flatpak-builder (0.9.11-0alexlarsson1~zesty) zesty; urgency=medium

  * Update to 0.9.11

 -- Alexander Larsson <alexl@redhat.com>  Wed, 13 Sep 2017 19:01:38 +0200

flatpak-builder (0.9.9-0alexlarsson1~zesty) zesty; urgency=medium

  * Update to 0.9.9

 -- Alexander Larsson <alexl@redhat.com>  Mon, 04 Sep 2017 10:19:54 +0200

flatpak (0.9.8-0alexlarsson3~zesty) zesty; urgency=medium

  * Backport fix for --devel

 -- Alexander Larsson <alexl@redhat.com>  Fri, 25 Aug 2017 15:15:34 +0200

flatpak (0.9.8-0alexlarsson2~zesty) zesty; urgency=medium

  * Bump ostree dependency

 -- Alexander Larsson <alexl@redhat.com>  Tue, 22 Aug 2017 11:09:51 +0200

flatpak (0.9.8-0alexlarsson1~zesty) zesty; urgency=medium

  * Update to 0.9.8

 -- Alexander Larsson <alexl@redhat.com>  Tue, 22 Aug 2017 10:34:25 +0200

flatpak (0.9.7-0alexlarsson1~zesty) zesty; urgency=medium

  * Update to 0.9.7

 -- Alexander Larsson <alexl@redhat.com>  Sat, 01 Jul 2017 21:38:12 +0200

flatpak (0.9.6-0alexlarsson1~zesty) zesty; urgency=medium

  * Update to 0.9.6

 -- Alexander Larsson <alexl@redhat.com>  Tue, 20 Jun 2017 19:03:19 +0200

flatpak (0.9.5-0alexlarsson1~zesty) zesty; urgency=medium

  * Update to 0.9.5

 -- Alexander Larsson <alexl@redhat.com>  Mon, 05 Jun 2017 14:34:17 +0200

flatpak (0.9.4-0alexlarsson1~zesty) zesty; urgency=medium

  * Update to 0.9.4

 -- Alexander Larsson <alexl@redhat.com>  Wed, 24 May 2017 11:47:16 +0200

flatpak (0.9.3-0alexlarsson2~yakkety) yakkety; urgency=medium

  * flatpak Recommends xdg-desktop-portal-gtk | xdg-desktop-portal-backend,
    so that sandboxed apps can communicate with the outside world

 -- Alexander Larsson <alexl@redhat.com>  Thu, 4 May 2017 09:06:31 +0200

flatpak (0.9.3-0alexlarsson1~yakkety) yakkety; urgency=medium

  * Update to 0.9.3

 -- Alexander Larsson <alexl@redhat.com>  Tue, 25 Apr 2017 10:36:31 +0200

flatpak (0.9.2-0alexlarsson3~yakkety) yakkety; urgency=medium

  * Add ostree dependency to flatpak-builder (for rofiles-fuse)

 -- Alexander Larsson <alexl@redhat.com>  Mon, 10 Apr 2017 08:44:26 +0200

flatpak (0.9.2-0alexlarsson2~yakkety) yakkety; urgency=medium

  * Add libgpgme11-dev dependency

 -- Alexander Larsson <alexl@redhat.com>  Wed, 05 Apr 2017 11:11:38 +0200

flatpak (0.9.2-0alexlarsson1~yakkety) yakkety; urgency=medium

  * Update to 0.9.2

 -- Alexander Larsson <alexl@redhat.com>  Wed, 05 Apr 2017 10:33:45 +0200

flatpak (0.9.1-0alexlarsson1~yakkety) yakkety; urgency=medium

  * Update to 0.9.1

 -- Alexander Larsson <alexl@redhat.com>  Wed, 15 Mar 2017 13:23:10 +0100

flatpak (0.8.4-0alexlarsson1~yakkety) yakkety; urgency=medium

  * Update to 0.8.4



=== debian/control ===
Source: flatpak-builder
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 attr,
 ca-certificates,
 dbus,
 debhelper (>= 9),
 desktop-file-utils,
 dh-autoreconf,
 dh-exec,
 dh-systemd,
 docbook-xml,
 docbook-xsl,
 flatpak (>= 0.11.8),
 fuse,
 git,
 gnome-desktop-testing,
 gobject-introspection,
 libarchive-dev (>= 2.8.0),
 libattr1-dev,
 libcap-dev,
 libdw-dev,
 libelf-dev,
 libfuse-dev,
 libyaml-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgpgme11-dev (>= 1.1.8),
 libjson-glib-dev,
 libostree-dev (>= 2017.14),
 libsoup2.4-dev,
 libcurl3-gnutls-dev,
 libxml2-utils,
 ostree,
 procps,
 shared-mime-info,
 xmlto,
 xsltproc,
Standards-Version: 3.9.8
Homepage: http://flatpak.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/flatpak.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flatpak.git

Package: flatpak-builder
Architecture: linux-any
Section: devel
Depends:
 flatpak (>= 0.11.8),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 binutils,
 bzr,
 elfutils,
 ostree,
 tar,
 git,
 subversion,
 patch,
 unzip,
Description: Flatpak application building helper
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 flatpak-builder is a tool that makes it easy to build applications and their
 dependencies by automating the configure && make && make install steps.

Package: flatpak-builder-tests
Architecture: linux-any
Section: misc
Depends:
 attr,
 ca-certificates,
 desktop-file-utils,
 flatpak (> 0.11.8),
 hicolor-icon-theme,
 ostree,
 shared-mime-info,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 python,
Description: Application deployment framework for desktop apps (tests)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains automated tests.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with=gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	aclocal --force
	automake
	dh_auto_configure -- \
		--disable-silent-rules \
		--enable-docbook-docs \
		--enable-gtk-doc \
		--enable-installed-tests \
		--libexecdir=/usr/lib/flatpak \
		--with-priv-mode=none \
		--with-html-dir=/usr/share/doc/libflatpak-doc \
		--with-privileged-group=sudo \
		--with-systemdsystemunitdir=/lib/systemd/system \
		$(NULL)

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	dh_install --fail-missing

# On Debian, unprivileged user namespaces are not available by default,
# so install bwrap setuid. On Ubuntu, they're available by default, so
# don't install it setuid. Assume that derivatives are like Debian, since
# that will make Flatpak work regardless.
override_dh_fixperms-arch:
	dh_fixperms -a
	if ! dpkg-vendor --is Ubuntu; then \
		chmod 4755 debian/flatpak/usr/lib/flatpak/flatpak-bwrap; \
	fi

override_dh_auto_test:
	debian/test.sh

=== debian/tests/control ===
Tests: build
Depends:
 build-essential,
 libflatpak-dev,

Tests: builder
Restrictions: isolation-machine
Depends:
 flatpak-builder,
 flatpak-tests,
 git,
 gnome-desktop-testing,
 make,

Tests: builder-python
Restrictions: isolation-machine
Depends:
 flatpak-builder,
 flatpak-tests,
 gnome-desktop-testing,
 make,
 python,

Tests: gnome-desktop-testing
Restrictions: isolation-machine
Depends:
 flatpak-tests,
 gnome-desktop-testing,

## flatpak-builder 1.0.5

=== debian/changelog ===
flatpak-builder (1.0.5-1) unstable; urgency=medium

  * New upstream release
    - Fix regression in picking up default build options from SDK
      with flatpak >= 1.2
  * Downgrade bzr|brz and subversion to Suggests (Closes: #917035)

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Feb 2019 08:23:12 +0000

flatpak-builder (1.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Feb 2019 15:48:59 +0000

flatpak-builder (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.3.0 (no changes required)
  * d/upstream/metadata: Add DEP-12 metadata

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Jan 2019 14:06:58 +0000

flatpak-builder (1.0.2-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Support brz as alternative to bzr.

  [ Simon McVittie ]
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Jan 2019 18:38:27 +0000

flatpak-builder (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Install the upstream NEWS and README.md files
  * d/flatpak-builder-tests.lintian-overrides: Silence some overzealous
    package-contains-documentation-outside-usr-share-doc tags

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Oct 2018 15:44:42 +0100

flatpak-builder (1.0.0-1) unstable; urgency=medium

  * New upstream stable release
  * Standards-Version: 4.2.0
  * d/watch: Only watch even-numbered (stable) branches

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Aug 2018 15:14:36 +0100

flatpak-builder (0.99.3-1) unstable; urgency=medium

  * New upstream release
  * Depend on flatpak (>= 0.99.1)
  * Standards-Version: 4.1.5 (no changes required)
  * Set libexecdir to /usr/libexec as allowed by FHS 3.0

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Jul 2018 21:37:25 +0100

flatpak-builder (0.99.2-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Jun 2018 18:06:20 +0100

flatpak-builder (0.99.1-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Watch for odd-numbered releases too
  * Depend on flatpak (>= 0.11.8)
  * Build-depend on libcurl4-gnutls-dev
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Jun 2018 22:54:10 +0100

flatpak-builder (0.10.10-1) unstable; urgency=medium

  * New upstream release
    - d/copyright: Update
    - Explicitly enable YAML support
    - Add subversion to Recommends
  * Standards-Version: 4.1.4 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Apr 2018 17:20:01 +0100

=== debian/control ===
Source: flatpak-builder
Section: devel
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 attr <!nocheck>,
 automake (>= 1.14.1),
 ca-certificates <!nocheck>,
 dbus,
 debhelper (>= 10~),
 desktop-file-utils <!nocheck>,
 dh-exec (>= 0.23~),
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 flatpak (>= 0.99.1),
 fuse <!nocheck>,
 git <!nocheck>,
 gtk-update-icon-cache <!nocheck>,
 hicolor-icon-theme <!nocheck>,
 libarchive-dev (>= 2.8.0),
 libattr1-dev,
 libcap-dev,
 libcurl4-gnutls-dev,
 libdw-dev,
 libelf-dev,
 libflatpak-dev (>= 0.99.1),
 libglib2.0-dev (>= 2.44),
 libjson-glib-dev,
 libostree-dev (>= 2017.14),
 libsoup2.4-dev,
 libxml2-dev (>= 2.4),
 libyaml-dev,
 ostree <!nocheck>,
 procps,
 python3,
 shared-mime-info <!nocheck>,
 xmlto <!nodoc>,
 xsltproc <!nodoc>,
Standards-Version: 4.3.0
Homepage: http://flatpak.org/
Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git
Vcs-Browser: https://salsa.debian.org/debian/flatpak-builder
Rules-Requires-Root: no

Package: flatpak-builder
Architecture: linux-any
Depends:
 gir1.2-flatpak-1.0 (>= 0.99.1),
 flatpak (>= 0.99.1),
 ostree (>= 2017.14),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 binutils,
 elfutils,
 git,
 patch,
 unzip,
Suggests:
 bzr | brz,
 subversion,
Replaces:
 flatpak (<< 0.9.8-1~),
Description: Flatpak application building helper
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 flatpak-builder is a tool that makes it easy to build applications and their
 dependencies by automating the configure && make && make install steps.

Package: flatpak-builder-tests
Architecture: linux-any
Section: misc
Breaks:
 flatpak-tests (<< 0.9.12),
Replaces:
 flatpak-tests (<< 0.9.12),
Depends:
 attr,
 ca-certificates,
 desktop-file-utils,
 flatpak-builder (= ${binary:Version}),
 hicolor-icon-theme,
 git,
 gtk-update-icon-cache,
 make,
 ostree (>= 2017.14),
 python,
 shared-mime-info,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Application deployment framework for desktop apps (tests)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains automated tests.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

configure_options =

ifneq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
configure_options += --disable-docbook-docs
configure_options += --disable-documentation
else
configure_options += --enable-docbook-docs
configure_options += --enable-documentation
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-installed-tests \
		--libexecdir=/usr/libexec \
		--with-yaml \
		$(configure_options)

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/test.sh
endif

## flatpak-builder 1.0.8

=== debian/changelog ===
flatpak-builder (1.0.8-2) unstable; urgency=medium

  * Upload to unstable
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12
    - Do not explicitly set --libexecdir since /usr/libexec is now the
      default

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Jul 2019 17:35:23 +0100

flatpak-builder (1.0.8-1) experimental; urgency=medium

  * New upstream release
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Jun 2019 19:03:29 +0100

flatpak-builder (1.0.7-1) experimental; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 10 May 2019 12:10:59 +0100

flatpak-builder (1.0.6-1) experimental; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Apr 2019 09:37:31 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  automake (>= 1.14.1),
  ca-certificates <!nocheck>,
  dbus,
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  desktop-file-utils <!nocheck>,
  dh-exec (>= 0.23~),
  docbook-xml <!nodoc>,
@@ -39,7 +39,7 @@
  shared-mime-info <!nocheck>,
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak-builder

## flatpak-builder 1.0.9

=== debian/changelog ===
flatpak-builder (1.0.9-1) unstable; urgency=medium

  * New upstream release
  * installed-tests: Downgrade python2 from Depends to Suggests.
    Test coverage will be a bit better if it is installed, but this
    doesn't need to block the eventual removal of python2 from Debian.
    The test in question relies on implementation details of Python 2,
    so it is not straightforward to convert to Python 3.
    (Closes: #936530)

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Sep 2019 09:47:06 +0100

=== debian/control ===
--- 
+++ 
@@ -88,10 +88,11 @@
  gtk-update-icon-cache,
  make,
  ostree (>= 2017.14),
- python,
  shared-mime-info,
  ${misc:Depends},
  ${shlibs:Depends},
+Suggests:
+ python2,
 Description: Application deployment framework for desktop apps (tests)
  Flatpak installs, manages and runs sandboxed desktop application bundles.
  See the flatpak package for a more comprehensive description.

## flatpak-builder 1.0.10

=== debian/changelog ===
flatpak-builder (1.0.10-1) unstable; urgency=medium

  * New upstream release
  * Add Suggests on p7zip-full, for 7z
  * Standards-Version: 4.5.0 (no changes required)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Remove Suggests on bzr now that it is a transitional package to brz
  * d/p/bzr-Run-brz-in-preference-to-bzr.patch:
    Make the bzr module type actually work with only brz installed

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Mar 2020 20:37:36 +0000

=== debian/control ===
--- 
+++ 
@@ -39,8 +39,8 @@
  shared-mime-info <!nocheck>,
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
-Standards-Version: 4.4.0
-Homepage: http://flatpak.org/
+Standards-Version: 4.5.0
+Homepage: https://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak-builder
 Rules-Requires-Root: no
@@ -60,7 +60,8 @@
  patch,
  unzip,
 Suggests:
- bzr | brz,
+ brz,
+ p7zip-full,
  subversion,
 Replaces:
  flatpak (<< 0.9.8-1~),

=== debian/tests/control ===
Tests: gnome-desktop-testing
Restrictions: isolation-machine
Depends:
 flatpak-builder-tests,
 gnome-desktop-testing,

Tests: python2
Restrictions: isolation-machine skip-not-installable
Depends:
 flatpak-builder-tests,
 gnome-desktop-testing,
 python2,

## flatpak-builder 1.0.11

=== debian/changelog ===
flatpak-builder (1.0.11-1) unstable; urgency=medium

  * New upstream release
    - d/p/bzr-Run-brz-in-preference-to-bzr.patch:
      Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Jul 2020 15:26:09 +0100

## flatpak-builder 1.0.12

=== debian/changelog ===
flatpak-builder (1.0.12-1+deb11u1) bullseye-security; urgency=high

  * d/gbp.conf, Vcs-Git: Configure for bullseye stable updates
  * d/p/Disable-filesystem-access-with-nofilesystem-host-reset.patch,
    d/p/Allow-nofilesystem-host-reset-in-flatpak-builder-run.patch:
    Add patches from upstream to prevent unintended access to host
    filesystem (CVE-2022-21682). To be effective, this also requires an
    updated version of flatpak.
  * d/control: Bump flatpak dependencies to 1.10.7.
    This ensures that we have the version that enables us to avoid
    CVE-2022-21682.

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Jan 2022 18:23:34 +0000

flatpak-builder (1.0.12-1) unstable; urgency=medium

  * New upstream bugfix release
    - Make --run work if manifest has --metadata in build-finish
    - Don't extract git submodules if they're disabled
    - Make debug messages more understandable
  * Standards-Version: 4.5.1 (no changes required)
  * Drop autopkgtest that uses python2 (Closes: #936530)

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Feb 2021 08:42:42 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  dh-exec (>= 0.23~),
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
- flatpak (>= 0.99.1),
+ flatpak (>= 1.10.7~),
  fuse <!nocheck>,
  git <!nocheck>,
  gtk-update-icon-cache <!nocheck>,
@@ -26,7 +26,7 @@
  libcurl4-gnutls-dev,
  libdw-dev,
  libelf-dev,
- libflatpak-dev (>= 0.99.1),
+ libflatpak-dev (>= 1.10.7~),
  libglib2.0-dev (>= 2.44),
  libjson-glib-dev,
  libostree-dev (>= 2017.14),
@@ -39,17 +39,17 @@
  shared-mime-info <!nocheck>,
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git
+Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git -b debian/bullseye
 Vcs-Browser: https://salsa.debian.org/debian/flatpak-builder
 Rules-Requires-Root: no
 
 Package: flatpak-builder
 Architecture: linux-any
 Depends:
- gir1.2-flatpak-1.0 (>= 0.99.1),
- flatpak (>= 0.99.1),
+ gir1.2-flatpak-1.0 (>= 1.10.7~),
+ flatpak (>= 1.10.7~),
  ostree (>= 2017.14),
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-installed-tests \
-		--libexecdir=/usr/libexec \
 		--with-yaml \
 		$(configure_options)

## flatpak-builder 1.0.14

=== debian/changelog ===
flatpak-builder (1.0.14-2) unstable; urgency=medium

  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 10:46:41 +0100

flatpak-builder (1.0.14-1) experimental; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Aug 2021 13:15:58 +0100

## flatpak-builder 1.2.0

=== debian/changelog ===
flatpak-builder (1.2.0-1flatpak1~20.04) focal; urgency=medium

  * Merge from Debian
  * Changes relative to Debian:
    - Roll back to debhelper 12
    - Set changelog merge driver for debian/changelog
    - d/README.source: Add

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Oct 2021 17:24:50 +0100

flatpak-builder (1.2.0-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Oct 2021 13:25:56 +0100

flatpak-builder (1.1.2-1flatpak1~20.04) focal; urgency=medium

  * Merge development version from Debian experimental
  * Changes relative to Debian:
    - Roll back to debhelper 12
    - Set changelog merge driver for debian/changelog
    - d/README.source: Add

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Oct 2021 20:58:14 +0100

flatpak-builder (1.1.2-1) experimental; urgency=medium

  * New upstream development release
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Sep 2021 11:20:22 +0100

flatpak-builder (1.1.1-1flatpak2~20.04) focal; urgency=medium

  * Rebuild with arm64 enabled in PPA configuration.
    No source changes.

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Aug 2021 13:42:05 +0100

flatpak-builder (1.1.1-1flatpak1~20.04) focal; urgency=medium

  * Resync packaging with 1.1.1-1 in Debian
  * Changes relative to Debian:
    - Backport to Ubuntu 20.04 'focal'
      - Roll back to debhelper 12
    - Set changelog merge driver for debian/changelog
    - d/README.source: Add

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Aug 2021 19:12:36 +0100

flatpak-builder (1.1.1-1) experimental; urgency=medium

  * Branch for experimental
  * New upstream development release
  * Build with the bundled debugedit for now (ITP: #985814)
  * d/rules: Avoid debhelper 13.4+ making installed-tests data executable
  * Use debhelper compat level 13
    - Drop dh_missing --fail-missing override, it is now the default

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Aug 2021 17:52:01 +0100

flatpak-builder (1.0.12-flatpak1~focal) focal; urgency=medium

  * Rebuild for focal

 -- Alexander Larsson <alexl@redhat.com>  Wed, 17 Feb 2021 11:17:00 +0100

flatpak-builder (1.0.12-flatpak1~bionic) bionic; urgency=medium

  * Update to 1.0.12

 -- Alexander Larsson <alexl@redhat.com>  Wed, 17 Feb 2021 11:14:41 +0100

flatpak-builder (1.0.11-flatpak1~focal) focal; urgency=medium

  * Rebuild for focal

 -- Alexander Larsson <alexl@redhat.com>  Fri, 03 Jul 2020 16:45:04 +0200

flatpak-builder (1.0.11-flatpak1~bionic) bionic; urgency=medium

  * Update to 1.0.11

 -- Alexander Larsson <alexl@redhat.com>  Fri, 03 Jul 2020 16:35:53 +0200

flatpak-builder (1.0.10-flatpak1~bionic) bionic; urgency=medium

  * Update to 1.0.10

 -- Alexander Larsson <alexl@redhat.com>  Thu, 19 Mar 2020 16:48:07 +0100

flatpak-builder (1.0.9-flatpak1~bionic) bionic; urgency=medium

  * Update to 1.0.9

 -- Alexander Larsson <alexl@redhat.com>  Fri, 13 Sep 2019 16:31:45 +0200

flatpak-builder (1.0.8-3~bionic) bionic; urgency=medium

  [ Alexander Larsson ]
  * Rebuild for bionic

 -- Alexander Larsson <alexl@redhat.com>  Fri, 13 Sep 2019 16:22:39 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  dh-exec (>= 0.23~),
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
- flatpak (>= 1.10.7~),
+ flatpak (>= 0.99.1),
  fuse <!nocheck>,
  git <!nocheck>,
  gtk-update-icon-cache <!nocheck>,
@@ -24,9 +24,9 @@
  libattr1-dev,
  libcap-dev,
  libcurl4-gnutls-dev,
- libdw-dev,
+ libdw-dev (>= 0.172),
  libelf-dev,
- libflatpak-dev (>= 1.10.7~),
+ libflatpak-dev (>= 0.99.1),
  libglib2.0-dev (>= 2.44),
  libjson-glib-dev,
  libostree-dev (>= 2017.14),
@@ -39,17 +39,17 @@
  shared-mime-info <!nocheck>,
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git -b debian/bullseye
+Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak-builder
 Rules-Requires-Root: no
 
 Package: flatpak-builder
 Architecture: linux-any
 Depends:
- gir1.2-flatpak-1.0 (>= 1.10.7~),
- flatpak (>= 1.10.7~),
+ gir1.2-flatpak-1.0 (>= 0.99.1),
+ flatpak (>= 0.99.1),
  ostree (>= 2017.14),
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	dh_auto_configure -- \
 		--enable-installed-tests \
 		--with-yaml \
+		--without-system-debugedit \
 		$(configure_options)
 
 override_dh_missing:

=== debian/tests/control ===
Tests: gnome-desktop-testing
Restrictions: isolation-machine
Depends:
 flatpak-builder-tests,
 gnome-desktop-testing,

## flatpak-builder 1.2.2

=== debian/changelog ===
flatpak-builder (1.2.2-2) unstable; urgency=medium

  * d/control: Set correct dependency on flatpak: 1.12.4, not 1.12.2

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Jan 2022 19:32:39 +0000

flatpak-builder (1.2.2-1) unstable; urgency=high

  * New upstream stable release
  * Security fixes:
    - Prevent a malicious build creating directories outside the build
      directory, when used in conjunction with flatpak (>= 1.12.4)
      (CVE-2022-21682, GHSA-8ch7-5j3h-g4fx)
  * Other bug fixes:
    - Improve JSON schema
  * d/control: Bump Flatpak dependency to 1.12.4
  * Set urgency to high for CVE-2022-21682

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Jan 2022 18:06:42 +0000

flatpak-builder (1.2.1-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * Add Recommends on xz-utils, required for .tar.xz source archives

  [ Simon McVittie ]
  * New upstream release
  * Add Recommends on zstd, required for .tar.zst source archives
    (newly supported in 1.2.1)
  * Depend on external debugedit instead of using the vendored copy
  * d/rules: Avoid explicitly specifying -Wl,--as-needed linker flag.
    This is the default for Debian 11 toolchains.

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Jan 2022 11:20:56 +0000

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
  automake (>= 1.14.1),
  ca-certificates <!nocheck>,
  dbus,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ debugedit (>= 1:5.0),
  desktop-file-utils <!nocheck>,
  dh-exec (>= 0.23~),
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
- flatpak (>= 0.99.1),
+ flatpak (>= 1.12.4),
  fuse <!nocheck>,
  git <!nocheck>,
  gtk-update-icon-cache <!nocheck>,
@@ -26,7 +27,7 @@
  libcurl4-gnutls-dev,
  libdw-dev (>= 0.172),
  libelf-dev,
- libflatpak-dev (>= 0.99.1),
+ libflatpak-dev (>= 1.12.4),
  libglib2.0-dev (>= 2.44),
  libjson-glib-dev,
  libostree-dev (>= 2017.14),
@@ -48,8 +49,9 @@
 Package: flatpak-builder
 Architecture: linux-any
 Depends:
- gir1.2-flatpak-1.0 (>= 0.99.1),
- flatpak (>= 0.99.1),
+ debugedit (>= 1:5.0),
+ gir1.2-flatpak-1.0 (>= 1.12.4),
+ flatpak (>= 1.12.4),
  ostree (>= 2017.14),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -59,6 +61,8 @@
  git,
  patch,
  unzip,
+ xz-utils,
+ zstd,
 Suggests:
  brz,
  p7zip-full,

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+
+binaries := $(shell dh_listpackages)
 %:
 	dh $@
 
@@ -20,11 +21,16 @@
 	dh_auto_configure -- \
 		--enable-installed-tests \
 		--with-yaml \
-		--without-system-debugedit \
+		--with-system-debugedit=debugedit \
 		$(configure_options)
 
-override_dh_missing:
-	dh_missing --fail-missing
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+override_dh_fixperms:
+	dh_fixperms -Xusr/libexec/installed-tests
+ifneq ($(filter %-tests,$(binaries)),)
+	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
+endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## flatpak-builder 1.2.3

=== debian/changelog ===
flatpak-builder (1.2.3-1) unstable; urgency=medium

  * New upstream release
    - Allow cloning submodules from file:// URIs with recent versions of git
    - Drop patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Nov 2022 12:18:11 +0000

flatpak-builder (1.2.2-3) unstable; urgency=medium

  * d/watch: Adapt to Github web page changes
  * d/gbp.conf: Rename packaging branch to debian/latest
  * d/patches: Update to upstream 1.2.x commit 1.2.2-5-g52d05dd4
    - Try to auto-detect the default branch name in git remotes
    - Include the have-kernel-module- family of conditions in the JSON
      schema
    - Fix a typo in the terminal title
  * d/control: Remove unused build-dependency on dbus
  * Update lintian override syntax
  * Update standards version to 4.6.1 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Nov 2022 10:11:44 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  attr <!nocheck>,
  automake (>= 1.14.1),
  ca-certificates <!nocheck>,
- dbus,
  debhelper-compat (= 13),
  debugedit (>= 1:5.0),
  desktop-file-utils <!nocheck>,
@@ -40,7 +39,7 @@
  shared-mime-info <!nocheck>,
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak-builder

=== debian/watch ===
version=4
# Upstream releases official Autotools 'make dist' tarballs, so we use
# those in preference to git tags
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/flatpak/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@

## flatpak-builder 1.4.1

=== debian/changelog ===
flatpak-builder (1.4.1-1) unstable; urgency=medium

  * New upstream stable release
  * d/p/manifest-Don-t-emit-empty-id-in-provides-when-renaming.patch:
    Add a post-release bug fix from upstream
  * d/p/tests-Ensure-all-test-files-are-in-the-dist-tarball.patch,
    d/p/dist/Add-files-that-were-missing-from-the-dist-tarball.patch:
    Install missing test files to fix the autopkgtest

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Feb 2024 10:50:18 +0000

flatpak-builder (1.4.0-1) unstable; urgency=medium

  * New upstream stable release
  * Revert "Branch for experimental"
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Dec 2023 18:11:22 +0000

flatpak-builder (1.3.5-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * d/patches: Drop patches that were included in the new release
  * Build-depend on libxml2-utils (xmllint), for tests/test-builder.sh

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Dec 2023 13:45:12 +0000

flatpak-builder (1.3.4-1) experimental; urgency=medium

  * New upstream development release
  * d/p/dist/Add-tests-tap.test.in-missing-from-Autotools-dist.patch:
    Drop patch, no longer needed
  * Depend and build-depend on appstream and appstream-compose
  * d/patches: Update to upstream commit 1.3.4-5-gc11f8590, excluding
    CI-only changes
    - d/p/builder-Fix-silent-truncation-of-32-bit-inodes.patch:
      Fix cache lookups on filesystems with 64-bit inode numbers
    - d/p/builder-module-Use-meson-setup-instead-of-meson.patch:
      Run meson as `meson setup`

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Sep 2023 10:39:19 +0100

flatpak-builder (1.3.3-1) experimental; urgency=medium

  * New upstream development release
  * Drop patches, applied upstream
  * Build using Meson
  * Explicitly depend on fuse 3
  * d/p/dist/Add-tests-tap.test.in-missing-from-Autotools-dist.patch:
    Add a missing file, fixing Meson build with installed-tests enabled

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Mar 2023 10:21:08 +0000

flatpak-builder (1.3.1-1) experimental; urgency=medium

  * New upstream release
  * d/control: Update dependencies
    - update GLib version
    - drop libsoup
  * d/copyright: Update
  * Remove version constraints unnecessary since Debian 10
  * Update standards version to 4.6.2 (no changes needed)
  * d/patches: Add missing data files for installed-tests

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Jan 2023 11:23:15 +0000

flatpak-builder (1.2.1-2) experimental; urgency=medium

  * Branch for experimental
  * Add patch to be compatible with ostree versions compiled against FUSE 3

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Jan 2022 12:05:31 +0000

## flatpak-builder 1.4.2

=== debian/changelog ===
flatpak-builder (1.4.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:29 +1100

flatpak-builder (1.4.2-1build1) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:52:53 +0000

flatpak-builder (1.4.2-1) unstable; urgency=medium

  * New upstream stable release
  * Drop patches, applied upstream
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Mar 2024 13:42:45 +0000

=== debian/control ===
Source: flatpak-builder
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 appstream (>= 0.15.0),
 appstream-compose (>= 0.15.0),
 attr <!nocheck>,
 ca-certificates <!nocheck>,
 debhelper-compat (= 13),
 debugedit (>= 1:5.0),
 desktop-file-utils <!nocheck>,
 dh-exec,
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 flatpak (>= 1.12.4),
 fuse3 <!nocheck>,
 git <!nocheck>,
 gtk-update-icon-cache <!nocheck>,
 hicolor-icon-theme <!nocheck>,
 libarchive-dev,
 libattr1-dev,
 libcap-dev,
 libcurl4-gnutls-dev,
 libdw-dev,
 libelf-dev,
 libflatpak-dev (>= 1.12.4),
 libglib2.0-dev (>= 2.66),
 libjson-glib-dev,
 libostree-dev,
 libxml2-dev,
 libxml2-utils <!nocheck>,
 libyaml-dev,
 meson (>= 0.56.2),
 ostree <!nocheck>,
 procps,
 python3,
 shared-mime-info <!nocheck>,
 xmlto <!nodoc>,
 xsltproc <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://flatpak.org/
Vcs-Git: https://salsa.debian.org/debian/flatpak-builder.git
Vcs-Browser: https://salsa.debian.org/debian/flatpak-builder
Rules-Requires-Root: no

Package: flatpak-builder
Architecture: linux-any
Depends:
 appstream (>= 0.15.0),
 appstream-compose (>= 0.15.0),
 debugedit (>= 1:5.0),
 gir1.2-flatpak-1.0 (>= 1.12.4),
 flatpak (>= 1.12.4),
 fuse3,
 ostree,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 binutils,
 elfutils,
 git,
 patch,
 unzip,
 xz-utils,
 zstd,
Suggests:
 brz,
 p7zip-full,
 subversion,
Description: Flatpak application building helper
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 flatpak-builder is a tool that makes it easy to build applications and their
 dependencies by automating the configure && make && make install steps.

Package: flatpak-builder-tests
Architecture: linux-any
Section: misc
Depends:
 attr,
 ca-certificates,
 desktop-file-utils,
 flatpak-builder (= ${binary:Version}),
 hicolor-icon-theme,
 git,
 gtk-update-icon-cache,
 libxml2-utils,
 make,
 ostree,
 shared-mime-info,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 python2,
Description: Application deployment framework for desktop apps (tests)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains automated tests.
